petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSMonitor

Runs all user-provided monitor routines set using TSMonitorSet()

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitor(TS ts,PetscInt step,PetscReal ptime,Vec u)

Collective on TS

### Input Parameters

| ts | - time stepping context obtained from TSCreate()
| step | - step number that has just completed
| ptime | - model time of the state
| u | - state at the current model time

### Notes

TSMonitor() is typically used automatically within the time stepping implementations. Users would almost never call this routine directly.

A step of -1 indicates that the monitor is being called on a solution obtained by interpolating from computed solutions

### Keywords

TS, timestep

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages